Summary: CMU SNMP agent
Name: cmu-snmp
Version: 3.4
Release: 7
Copyright: CMU
Group: Networking/Daemons
Source0: ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp/cmu-snmp-linux-3.4-src.tar.gz
Source1: cmu-snmp.init
Source2: cmu-snmp-fw.init
Patch0: cmu-snmp-linux.patch
Patch1: cmu-snmp-fw-acc.patch
BuildRoot: /tmp/snmp-root
Packager: Henning Schmiedehausen <henning@tanstaafl.de>
Distribution: TANSTAAFL! intern

%description
This is a derivative of the original Carnegie Mellon University
Simple Network Management Protocol.  It is useful for managing 
networks and doing accounting.

This Agent includes the Patch from Douglas Ledford <dledford@dialnet.net>
ported to cmu-snmp 3.4, which simulates exact byte counts with the help
of Linux Firewall Rules.

%package utils
Group: Networking/Utilities
Summary: CMU SNMP utilities

%description utils
These are the various utilities for use with CMU SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%package devel
Group: Networking/Utilities
Summary: CMU SNMP development libs and headers

%description devel
These are the development libraries and header files for CMU SNMP.
This will allow the network administrator to write programs for
use with network management.

%prep
%setup -n cmu-snmp-linux-3.4
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=/usr
make all

%install
rm -rf $RPM_BUILD_ROOT
for I in etc lib usr/bin usr/lib usr/lib/snmp usr/man usr/sbin usr/man/man5 \
	usr/man/man8 usr/man/man3 usr/man/man1 usr/include etc/rc.d \
	etc/rc.d/init.d etc/rc.d/rc0.d etc/rc.d/rc1.d etc/rc.d/rc2.d \ 
        etc/rc.d/rc3.d etc/rc.d/rc4.d etc/rc.d/rc5.d etc/rc.d/rc6.d \
	etc/sysconfig ; do
	install -m 755 -o root -g root -d $RPM_BUILD_ROOT/$I
done

make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install
install -m600 etc/snmpd.conf $RPM_BUILD_ROOT/etc/snmpd.conf
install -m755 snmplib/libsnmp.a $RPM_BUILD_ROOT/usr/lib

install -m 755 -o root -g root -d $RPM_BUILD_ROOT/usr/lib/snmp
install -m 644 -o root -g root etc/Makefile $RPM_BUILD_ROOT/usr/lib/snmp
install -m 644 -o root -g root etc/snmpd.conf $RPM_BUILD_ROOT/usr/lib/snmp
install -m 644 -o root -g root etc/snmpd.agentinfo $RPM_BUILD_ROOT/usr/lib/snmp
install -m 755 -o root -g root etc/installconf $RPM_BUILD_ROOT/usr/lib/snmp

for I in authkey snmpget snmpgetnext snmpnetstat snmpset snmptest snmptrap snmpwalk; do
	strip $RPM_BUILD_ROOT/usr/bin/$I
done

strip $RPM_BUILD_ROOT/usr/sbin/*

install -m 755 -o root -g root $RPM_SOURCE_DIR/cmu-snmp.init $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd.init
install -m 755 -o root -g root $RPM_SOURCE_DIR/cmu-snmp-fw.init $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd-fw.init
install -m 755 -o root -g root $RPM_SOURCE_DIR/snmp-acc $RPM_BUILD_ROOT/etc/sysconfig/snmp-acc

ln -sf ../init.d/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K31snmpd
ln -sf ../init.d/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K31snmpd
ln -sf ../init.d/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S81snmpd
ln -sf ../init.d/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S81snmpd
ln -sf ../init.d/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S81snmpd
ln -sf ../init.d/snmpd.init $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K31snmpd

ln -sf ../init.d/snmpd-fw.init $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K98snmpd-fw
ln -sf ../init.d/snmpd-fw.init $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K98snmpd-fw
ln -sf ../init.d/snmpd-fw.init $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S08snmpd-fw
ln -sf ../init.d/snmpd-fw.init $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S08snmpd-fw
ln -sf ../init.d/snmpd-fw.init $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S08snmpd-fw
ln -sf ../init.d/snmpd-fw.init $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K98snmpd-fw

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/snmpd.conf
%config /etc/sysconfig/snmp-acc
%dir /usr/lib/snmp
/etc/rc.d/init.d/snmpd-fw.init
/etc/rc.d/init.d/snmpd.init
/etc/rc.d/rc0.d/K31snmpd
/etc/rc.d/rc0.d/K98snmpd-fw
/etc/rc.d/rc1.d/K31snmpd
/etc/rc.d/rc1.d/K98snmpd-fw
/etc/rc.d/rc2.d/S08snmpd-fw
/etc/rc.d/rc2.d/S81snmpd
/etc/rc.d/rc3.d/S08snmpd-fw
/etc/rc.d/rc3.d/S81snmpd
/etc/rc.d/rc5.d/S08snmpd-fw
/etc/rc.d/rc5.d/S81snmpd
/etc/rc.d/rc6.d/K31snmpd
/etc/rc.d/rc6.d/K98snmpd-fw
/usr/bin/authkey
/usr/lib/libsnmp.so
/usr/lib/libsnmp.so.3.4
/usr/lib/mib.txt
/usr/lib/snmp/Makefile
/usr/lib/snmp/installconf
/usr/lib/snmp/snmpd.agentinfo
/usr/lib/snmp/snmpd.conf
/usr/man/man1/authkey.1
/usr/man/man5/snmpd.conf.5
/usr/man/man5/variables.5
/usr/man/man8/snmpd.8
/usr/sbin/snmpd
%doc HISTORY README README.linux README.usec 

%files utils
/usr/lib/libsnmp.so
/usr/lib/libsnmp.so.3.4
/usr/bin/nstat
/usr/bin/snmpget
/usr/bin/snmpgetnext
/usr/bin/snmpnetstat
/usr/bin/snmpset
/usr/bin/snmptest
/usr/bin/snmptrap
/usr/bin/snmpwalk
/usr/man/man1/snmpget.1
/usr/man/man1/snmpgetnext.1
/usr/man/man1/snmpnetstat.1
/usr/man/man1/snmpset.1
/usr/man/man1/snmptest.1
/usr/man/man1/snmptrap.1
/usr/man/man1/snmpwalk.1
/usr/man/man5/snmpd.conf.5
/usr/man/man5/variables.5
/usr/man/man8/snmptrapd.8
/usr/sbin/snmptrapd

%files devel
/usr/include/snmp/asn1.h
/usr/include/snmp/parse.h
/usr/include/snmp/snmp.h
/usr/include/snmp/snmp_api.h
/usr/include/snmp/snmp_client.h
/usr/include/snmp/snmp_impl.h
/usr/lib/libsnmp.a
/usr/man/man3/snmp_api.3
/usr/man/man5/variables.5
